{% extends "src/elements/_template.njk" %}
{% set title = "Игра Задание" %}
{% block content %}

    <div class="game-container">
        <div class="task">
            <h1 class="task__header">Название одного из заданий</h1><!-- .task__header -->
            <div class="task__media">
                <div class="swiper" data-media>
                    <div class="swiper-wrapper">
                        <div class="swiper-slide">
                            <div class="task__image task__image--sm">
                                <img src="img/content/card_image__01.jpg" class="img-cover" alt="">
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="task__image task__image--sm">
                                <img src="img/content/card_image__02.jpg" class="img-cover" alt="">
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="task__image task__image--sm">
                                <img src="img/content/card_image__01.jpg" class="img-cover" alt="">
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="task__image task__image--sm">
                                <img src="img/content/card_image__02.jpg" class="img-cover" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="task__pagination" data-media-pagination></div>
                </div>
            </div><!-- .task__media -->
            <div class="task__content">
                <p>Следующая запись в дневнике:</p>
                <p> «Мы приехали в этот город 4 октября и пробыли там чуть меньше часа. Из повозки мы не могли увидеть местного шестилетнего паренька, который, в последствии стал одним из богатейших и влиятельнейших людей планеты».</p>
                <p>Паренёк это вырос и стал управлять всемирно известной фабрикой.</p>
                <p>Кроме этого, он известен тем, что купил... Молодость, которой его семья до сих пор владеет, зарабатывая миллионы. А недавно Молодость продала лучшего из лучших, который не оправдал надежд Семьи на блестящие победы и свою зарплату.</p>
                <p>Хотите стать миллионером и присоединиться к семье? Пройдите испытание и получите третий код этапа.</p>
            </div><!-- .task__content -->
        </div><!-- .task -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" placeholder="Введите код" class="answer__field" data-answer-field>
                            </div>
                            <div class="answer__action">
                                <button type="button" class="answer__button" data-answer-base="отправить" data-answer-success="отправить"></button>
                            </div>
                        </div>
                    </div><!-- .answer -->
                </div>
            </div><!-- .card__main -->
            <div class="card__hints">
                <div class="hints">
                    <div class="hints__action">
                        <button type="button" class="hints__toggle">
                            <span>Показать подсказку</span>
                        </button>
                    </div>
                </div>
            </div><!-- .card__hints -->
        </div><!-- .card -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score card__score--rose">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer answer--success" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" placeholder="Введите код" class="answer__field" value="JHSGAD" disabled data-answer-field>
                            </div>
                            <div class="answer__action">
                                <div class="answer__success">
                                    <i>
                                        {{ svgIcon('answer_check', viewBox='0 0 60 58') }}
                                    </i>
                                    <span>Код успешно принят!</span>
                                </div>
                            </div>
                        </div>
                    </div><!-- .answer -->
                </div>
            </div><!-- .card__main -->
            <div class="card__hints">
                <div class="hints">
                    <div class="hints__action">
                        <button type="button" class="hints__toggle">
                            <span>Показать подсказку</span>
                        </button>
                    </div>
                </div>
            </div><!-- .card__hints -->
        </div><!-- .card -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer answer--focus" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" placeholder="Введите код" class="answer__field" value="KODILO" data-answer-field>
                            </div>
                            <div class="answer__action">
                                <button type="button" class="answer__button">
                                    <span>отправить</span>
                                </button>
                            </div>
                        </div>
                    </div><!-- .answer -->
                </div>
            </div><!-- .card__main -->
        </div><!-- .card -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer answer--error" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" value="Неверный код" placeholder="Введите код" class="answer__field" data-answer-field>
                            </div>
                            <div class="answer__action">
                                <button type="button" class="answer__button">
                                    <span>отправить</span>
                                </button>
                            </div>
                        </div>
                        <div class="answer__info answer__info--error">Вы ввели не верный код. Давайте попробуем еще раз!</div>
                    </div><!-- .answer -->

                </div>
            </div><!-- .card__main -->
        </div><!-- .card -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" placeholder="Введите код" class="answer__field" data-answer-field>
                            </div>
                            <div class="answer__action">
                                <button type="button" class="answer__button">
                                    <span>отправить</span>
                                </button>
                            </div>
                        </div>
                    </div><!-- .answer -->
                </div>
            </div><!-- .card__main -->
            <div class="card__hints">
                <div class="hints">
                    <div class="hints__action disabled">
                        <div class="hints__text">Следующая подсказка через: <span>2:48</span></div>
                    </div>
                </div>
            </div><!-- .card__hints -->
        </div><!-- .card -->

        <div class="card">
            <div class="card__main">
                <div class="card__header">
                    <div class="card__scores">
                        <div class="card__score">1 балл</div>
                    </div>
                    <div class="card__question">
                        Город, в котором так недолго пробыли Филеас и Паспарту (по-русски)
                    </div>
                </div><!-- .card__header -->
                <div class="card__body">
                    <div class="answer" data-answer>
                        <div class="answer__main">
                            <div class="answer__input">
                                <input type="text" name="answer" placeholder="Введите код" class="answer__field" value="JHSGAD" data-answer-field>
                            </div>
                            <div class="answer__action">
                                <button type="button" class="answer__button">
                                    <span>отправить</span>
                                </button>
                            </div>
                        </div>
                    </div><!-- .answer -->
                </div>
            </div><!-- .card__main -->
            <div class="card__hints">
                <div class="hints">
                    <div class="hints__item">пост в
                        <p>Следующая запись в дневнике:</p>
                        <p>«Мы приехали в этот город 4 октября и пробыли там чуть меньше часа. Из повозки мы не могли увидеть местного шестилетнего паренька, который, в последствии стал одним из богатейших и влиятельнейших людей планеты».</p>
                        <p>Паренёк это вырос и стал управлять всемирно известной фабрикой.</p>
                    </div>
                    <div class="hints__item">
                        <p>Следующая запись в дневнике:</p>
                        <p>«Мы приехали в этот город 4 октября и пробыли там чуть меньше часа. Из повозки мы не могли увидеть местного шестилетнего паренька, который, в последствии стал одним из богатейших и влиятельнейших людей планеты».</p>
                        <p>Паренёк это вырос и стал управлять всемирно известной фабрикой.</p>
                    </div>
                    <div class="hints__action">
                        <button type="button" class="hints__toggle">
                            <span>Показать подсказку</span>
                        </button>
                    </div>
                </div>
            </div><!-- .card__hints -->
        </div><!-- .card -->
    </div>
    <div class="info-bar" data-info>
        <div class="container">
            <div class="info-bar__main">
                <div class="info-bar__group">
                    <div class="info-bar__progress"><strong>5</strong> / 12</div>
                    <div class="info-bar__label">Получено баллов</div>
                </div>
                <div class="info-bar__group">
                    <div class="info-bar__label">Уровень завершиться через:</div>
                    <div class="info-bar__timer">20:23</div>
                    <div class="info-bar__circle">
                        <div class="circle-bar" data-circle-counter="200">
                            <div class="circle-bar__scale">
                                <svg class="img-fluid" viewBox="0 0 120 120">
                                    <circle stroke="#F0F2F5" stroke-width="40" fill="transparent"
                                            r="20"
                                            cx="60"
                                            cy="60" />
                                </svg>
                            </div>
                            <div class="circle-bar__progress">
                                <svg class="img-fluid" viewBox="0 0 120 120">
                                    <circle data-circle-bar
                                        stroke="#009954"
                                        stroke-width="40"
                                        fill="transparent"
                                        r="20"
                                        cx="60"
                                        cy="60" />
                                </svg>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="info-bar__scale">
                <span style="width: 40%;" data-info-progress></span>
            </div>
        </div>
    </div><!-- .info-bar -->
{% endblock %}
